- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Enumerations | Functions
WPS8Text.cpp File Reference
`#include <stdlib.h>`
`#include <string.h>`
`#include <map>`
`#include "libwps_internal.h"`
`#include "WPSContentListener.h"`
`#include "WPSEntry.h"`
`#include "WPSList.h"`
`#include "WPSParagraph.h"`
`#include "WPSSubDocument.h"`
`#include "WPS8.h"`
`#include "WPS8Struct.h"`
`#include "WPS8TextStyle.h"`
`#include "WPS8Text.h"`

## Classes
struct | WPS8PLCInternal::KnownPLC
| a map of known plc More...
struct | WPS8TextInternal::Bookmark
| Internal: class to store a field definition (BKMT) More...
struct | WPS8TextInternal::Notes
| Internal: class to store the note position. More...
struct | WPS8TextInternal::Notes::Compare
| internal struct used to create sorted map More...
struct | WPS8TextInternal::Object
| Internal: class to store an object definition. More...
struct | WPS8TextInternal::Token
| Internal: class to store a field definition (TOKN) More...
struct | WPS8TextInternal::DataPLC
| Internal: class to store the PLC: Pointer List Content ? More...
struct | WPS8TextInternal::State
| Internal: the state of a WPS4Text. More...
class | WPS8TextInternal::SubDocument
| Internal: the subdocument of a WPS8Text. More...
struct | WPS8PLCInternal::PLC
| Internal and low level: the PLC different types and their structures. More...

## Namespaces
namespace | WPS8PLCInternal
| Internal and low level: the structures of a WPS8Text used to parse PLC.
namespace | WPS8TextInternal

## Enumerations
enum | WPS8TextInternal::PLCType { WPS8TextInternal::BTE =0, WPS8TextInternal::TCD, WPS8TextInternal::STRS, WPS8TextInternal::OBJECT, WPS8TextInternal::TOKEN, WPS8TextInternal::BMKT, WPS8TextInternal::Unknown }
| different types More...

## Functions
std::ostream & | WPS8TextInternal::operator<< (std::ostream &o, Bookmark const &bmk)
| operator<< for a Bookmark More...
std::ostream & | WPS8TextInternal::operator<< (std::ostream &o, Notes const &note)
| operator<< for an object More...
std::ostream & | WPS8TextInternal::operator<< (std::ostream &o, Object const &obj)
| operator<< for an object More...
std::ostream & | WPS8TextInternal::operator<< (std::ostream &o, Token const &tok)
| operator<< for a Token More...
std::ostream & | WPS8TextInternal::operator<< (std::ostream &o, DataPLC const &plc)
| operator<< for a DataPLC More...